package com.yeejoin.amos.fas.business.param;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.yeejoin.amos.fas.business.action.model.BasicsRo;

public class AlarmParam extends BasicsRo{
	private String informationAddress; //转发码
	private int soe;
	private String state; // 值
	private String serviceId; //服务ID
	private int isInvalid; // 是否有效
	private String pointCode;

	private String nodeState;
    private String monitor;
    private String equimentId;
	private String code;
	
	private String id;
	private String name;
	/**
	 * 是否模拟数据
	 */
	private Boolean isMock = false;
	
	/**
	 * 数据库原状态
	 */
	private String oldState; // 值 
	
	public Boolean getIsMock() {
		return isMock;
	}
	public void setIsMock(Boolean isMock) {
		this.isMock = isMock;
	}
	public int getSoe() {
		return soe;
	}
	public void setSoe(int soe) {
		this.soe = soe;
	}
	public String getPointCode() {
		return pointCode;
	}
	public void setPointCode(String pointCode) {
		this.pointCode = pointCode;
	}
	public String getState() {
		return state;
	}
	public String getInformationAddress() {
		return informationAddress;
	}
	public void setInformationAddress(String informationAddress) {
		this.informationAddress = informationAddress;
	}

	public void setState(String state) {
		this.state = state;
	}
	public String getServiceId() {
		return serviceId;
	}
	public void setServiceId(String serviceId) {
		this.serviceId = serviceId;
	}
	
	public int getIsInvalid() {
		return isInvalid;
	}
	public void setIsInvalid(int isInvalid) {
		this.isInvalid = isInvalid;
	}
	public String getNodeState() {
		return nodeState;
	}
	public void setNodeState(String nodeState) {
		this.nodeState = nodeState;
	}
	public String getMonitor() {
		return monitor;
	}
	public void setMonitor(String monitor) {
		this.monitor = monitor;
	}
	public String getEquimentId() {
		return equimentId;
	}
	public void setEquimentId(String equimentId) {
		this.equimentId = equimentId;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getOldState() {
		return oldState;
	}
	public void setOldState(String oldState) {
		this.oldState = oldState;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}	
	
	public String toJsonStr() {
		return JSON.toJSONString(this,SerializerFeature.WriteMapNullValue,SerializerFeature.DisableCircularReferenceDetect,SerializerFeature.SkipTransientField);
	}
}
